# Table of Contents

- [About](about.md)
- [License](license.md)
- [Download](download.md)
- [Requirements](requirements.md)
- [Installation](install.md): installing the service/binary
- [Configuration](configuration.md): breakdown of major configuration variables by topic.
- [Execution](execution.md): running the `orchestrator` service.
- [Executing via command line](executing-via-command-line.md)
- [Using the web interface](using-the-web-interface.md)
- [Using the web API](using-the-web-api.md): achieving automation via HTTP GET requests
- [Using orchestrator-client](orchestrator-client.md): a no binary/config needed script that wraps API calls
- [Security](security.md)
- [SSL and TLS](ssl-and-tls.md)
- [Status Checks](status-checks.md)
- [Pseudo GTID](pseudo-gtid.md)
- [Topology recovery](topology-recovery.md): failure detection and recovery
- [High-availability](high-availability.md): making `orchestrator` highly available
- [Agents](agents.md)
- [Risks](risks.md)
- [Gotchas](gotchas.md)
- [Supported topologies and versions](supported-topologies-and-versions.md)
- [Bugs](bugs.md)
- [Contributions](contributions.md)
- [Who uses Orchestrator?](users.md)
- [Presentations](presentations.md)

## Quick guides

- [FAQ](faq.md)
- [Deployment](deployment.md)
- [First steps](first-steps.md), a quick introduction to `orchestrator`
- Orchestrator for [developers](developers.md). Read this if you wish to develop/contribute to `orchestrator`.
